Introduzione a Unix
Indietro | Capitolo 3 Iniziamo | Avanti

# 3.8 Comandi di visualizzazione

Ci sono alcuni comandi che si possono usare per visualizzare o esaminare un file. Alcuni di questi sono editor che verranno trattati più avanti. Qui si illustreranno alcuni comandi normalmente usati per visualizzare un file.

Tabella 3-5. Comandi di visualizzazione

Comando/Sintassi | Cosa fa
--- | ---
`echo [`stringa`]` | riporta in standard ouptut una stringa di testo
`cat [`opzioni`] `file`` | concatena (lista) un file
`more` (o `less` o `pg`) `[`opzioni`] `file`` | visualizzazione paginata di un file di testo
`head [`-numero`] `file`` | visualizza le prime 10 (o `-numero`) linee di un file
`tail [`opzioni`] `file`` | visualizza le ultime linee (o parte) di un file

## 3.8.1 echo - mostra un'espressione

Il comando echo(1) viene utilizzato per ripetere l'argomento assegnato al comando nel dispositivo standard di uscita. Normalmente l'argomento termina con un carattere di alimentazione di linea, ma si può specificare un'opzione per impedirlo.

Sintassi

`echo [`stringa`]`

Opzioni generali

`-n` | non stampa new-line (BSD, shell built-in)
`\c` | non stampa new-line (SVR4)
`\0`n`` | dove `n` è il codice del carattere ASCII a 8 bit (SVR4)
`\t` | tab (SVR4)
`\f` | form-feed (emissione carta) (SVR4)
`\n` | new-line (SVR4)
`\v` | tab verticale (SVR4)

Esempi:

    % echo Hello Class

oppure

    % echo "Hello Class"

Per impedire il carattere di fine linea:

    % echo -n Hello Class

oppure

    % echo "Hello Class \c"

dove il modo utilizzato nell'ultimo esempio dipende dal comando echo(1) usato.

L'opzione `\`x`` deve essere interna a un paio di caratteri di quoting singoli o doppi, con o senza altri caratteri di stringa.

## 3.8.2 cat - concatena un file

Il comando di concatenazione cat(1) visualizza il contenuto di un file.

Sintassi

`cat [`opzioni`] [`file`]`

Opzioni generali

`-n` | precede ogni linea con un numero
`-v` | visualizza i caratteri non stampabili, eccetto tab, new-line e form-feed
`-e` | visualizza $ alla fine di ogni linea (prima di new-line) (quando usato con l'opzione `-v`)

Esempi:

    % cat filename

Si possono specificare una serie di file su linea di comando e cat(1) li concatenerà ciascuno a turno, seguendo lo stesso ordine di immissione, esempio:

    % cat file1 file2 file3

## 3.8.3 more, less e pg - visualizzazione paginata di un file

more(1), less(1) e `pg` permettono di visualizzare il contenuto di un file una schermata (pagina) alla volta. Inoltre permettono di ritornare sulla precedente pagina, di cercare parole, ecc. Questi comandi potrebbero non essere disponibili sul proprio sistema Unix.

Sintassi

`more [`opzioni`] [`+/schema`] [`filename`]`

`less [`opzioni`] [`+/schema`] [`filename`]`

`pg [`opzioni`] [`+/schema`] [`filename`]`

Opzioni

more | less | pg | Azione
--- | --- | --- | ---
`-c` | `-c` | `-c` | pulisce lo schermo prima di visualizzare
| `-i` |  | ignora differenza tra maiuscole e minuscole
`-w` | default | default | non esce alla fine dell'input, ma si mette in attesa di comandi
`-`linee`` |  | `-`linee`` | # (numero di) linee di avanzamento
`+/`schema`` | `+/`schema`` | `+/`schema`` | ricerca lo schema (pattern)

Controlli interni

`more` | visualizza (una schermata alla volta) il file specificato
<spazio> | per vedere la schermata successiva
<return>o<CR> | per avanzare di una linea
q | per uscire
h | help
b | torna alla schermata precedente
/`parola` | cerca `parola` nel resto del file
| vedere le pagine man per altre opzioni
`less` | simile a more(1), vedere le pagine man per le opzioni
`pg` | in SVR4 equivale a more(1) (pagina)

## 3.8.4 head - mostra l'inizio di un file

Il comando head(1) visualizza l'inizio di un file.

Sintassi

`head [`opzioni`] `file``

Opzioni generali

`-n `numero`` | numero di linee da visualizzare partendo dall'inizio del file
`-`numero`` | come sopra

Esempi:

Di default head(1) mostra le prime 10 linee del file. Si possono visualizzare più (o meno) linee con l'opzione `-n `numero`` o `-`numero``, ad esempio, per visualizzare le prime 40 linee:

    % head -40 filename

oppure

    % head -n 40 filename

## 3.8.5 tail - mostra la fine di un file

Il comando tail(1) visualizza la fine di un file.

Sintassi

`tail [`opzioni`] `file``

Opzioni generali

`-`numero`` | numero di linee da visualizzare, partendo dalla fine del file

Esempi:

Di default tail(1) mostra le ultime 10 linee del file, ma si può specificare un numero differente di linee o di byte, o un differente punto di inizio all'interno del file. Per visualizzare le ultime 30 linee di un file, usare l'opzione `-`numero``:

    % tail -30 filename

Indietro | Partenza | Avanti
Comandi di gestione dei file | Risali | Risorse di sistema e stampa

Questo, ed altri documenti, possono essere scaricati da ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

Per domande su FreeBSD, leggi la documentazione prima di contattare <questions@FreeBSD.org>.
Per domande su questa documentazione, invia una e-mail a <doc@FreeBSD.org>.